
import { Flex } from 'antd'
import styles from './index.less'

/**
 * @description 已接入行业系统
 */

const IndustrySystem = () => {

  const list = [
    {
      name: '审批监督处',
      sub: [
        {
          name: '成都市城管委信用信息报送系统'
        }
      ]
    },
    {
      name: '执法总队',
      sub: [
        {
          name: '违法建设治理系统'
        },
        {
          name: '综合执法'
        },
        {
          name: '车载监控平台'
        }
      ]
    }
  ]

  return (
    <Flex vertical className={styles.wrap}>
      <Flex className={styles.header}>
        <div>系统使用单位</div>
        <div>政务信息化系统</div>
      </Flex>
      <div className={styles.list}>
        {
          list.map((item) => (
            <Flex className={styles.listItem} align='center' key={item.name}>
              <div className={styles.name}>{`${item.name}(${item.sub.length})`}</div>
              <div>
                {item.sub.map((subItem) => (
                  <div key={subItem.name} className={styles.subName}>{subItem.name}</div>
                ))}
              </div>
            </Flex>
          ))
        }
      </div>
    </Flex>
  )
}

export default IndustrySystem