import * as echarts from 'echarts';

export const lineOption: echarts.EChartsOption = {
  tooltip: {
    show: false,
  },
  legend: {
    show: false,
  },
  grid: {
    top: '10%',
    left: 0,
    right: 0,
    bottom: '1%',
  },
  xAxis: [
    {
      type: 'category',
      boundaryGap: false,

      show: false,
    },
  ],
  yAxis: {
    type: 'value',
    splitLine: {
      show: false,
    },
    show: false,
    axisLabel: {
      show: false,
    },
  },

  series: [
    {
      type: 'line',
      symbol: 'none',
      smooth: false,

      lineStyle: {
        width: 3,
        color: 'rgb(68, 242, 255)',
      },
      areaStyle: {
        color: new echarts.graphic.LinearGradient(
          0,
          0,
          0,
          1,
          [
            {
              offset: 0,
              color: 'rgb(68, 242, 255)',
            },
            {
              offset: 1,
              color: 'rgba(68, 242, 255, 0)',
            },
          ],
          false,
        ),
      },
      data: [3, 3, 4, 2, 5, 6, 7],
    },
  ],
};
